Subject: Re: [babel] Mandatory sub-TLVs in Next Hop and Router-ID

From: David Schinazi <[email-masked]>
Date: Sun, 04 Jun 2017 17:59:16 -0700

I guess I shouldn't read email before my morning coffee :)
The good news is that while I misunderstood the emails,
the document was clear and I didn't find ambiguity there.

Now that I've given it more thought, I agree with this design choice.

David

> On May 31, 2017, at 08:32, Juliusz Chroboczek <[email-masked]> wrote:
> 
>> I'm a little late to the party here, but I think I agree with where the
>> discussion landed, as in treat NextHop and RouterID like any other TLV,
>> fully ignore it in the presence of an unknown mandatory sub TLV.
> 
> Er... no.  The conclusion is that Next Hop and Router-ID TLVs are honoured
> even if ignored due to an unknown mandatory sub-TLV.
> 
> The rationale is that the current next hop and router-id are part of the
> parser's state, and that the packet is parsed with no reference to
> sub-TLVs.  Only after the packet is parsed are some TLVs dropped.  This
> way, the produced parse tree is identical no matter which sub-TLVs are
> honoured by a given implementation, which makes it possible to build tools
> such as tcpdump that need to parse a packet but don't honour any sub-TLVs.
> 
> Folks, please read the relevant sections in -02, and let me know if the
> current text is not clear in any way.
> 
> -- Juliusz
> 
> _______________________________________________
> babel mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/babel